<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', '#jform_catid', null, array('disable_search_threshold' => 0 ));
JHtml::_('formbehavior.chosen', 'select');

$this->configFieldsets  = array('editorConfig');
$this->hiddenFieldsets  = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = clone($this->state->get('params'));
$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "article.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
			' . $this->form->getField('articletext')->save() . '
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "article.apply")
			{
				window.parent.jQuery("#articleEdit' . (int) $this->item->id . 'Modal").modal("hide");
			}
		}
	};
');

// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';

//added ImagesTab
$app = JFactory::getApplication();
$imagestabLang =& JFactory::getLanguage();
$imagestabLang->load("plg_system_articleimagesgalleryck", JPATH_ADMINISTRATOR);
$pluginPathSite = JURI::root().'/plugins/system/articleimagesgalleryck/imagestab';
$document = JFactory::getDocument();
$document->addStyleSheet($pluginPathSite.'/assets/css/articleimagesgalleryck.css');

$plugin = JPluginHelper::getPlugin('system', 'articleimagesgalleryck');
$plgParams = class_exists('JParameter') ? new JParameter($plugin->params) : new JRegistry($plugin->params);
$img_limit = (int)$plgParams->get("limit", "");	
$timestamp = '?t=' . strtotime("now"); // stamp for prevent cache problems
JHtml::_('jquery.ui');
JHtml::_('jquery.ui', array('sortable'));
JHtml::_('behavior.modal');
?>

<!--added imagestab -->
<script type="text/javascript">	
	jQuery.noConflict();
	jQuery(document).ready(function() {
		jQuery("#imagestab a.addNewImage").click(function() {
			var image = parseInt(jQuery('#imagestab input.fileUpload').last().attr("name").slice(5));
			var newImage = image + 1;

			jQuery('#imagestab div.image_block:eq(0)').clone().insertBefore("#imagestab a.addNewImage");

			jQuery('#imagestab div.image_block').last().find('span.image_title').html("<?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_IMAGE_TEXT"); ?> " + newImage);

			jQuery('#imagestab div.image_block').last().find('input.fileUpload').attr("name", "image" + newImage).val("");
			jQuery('#imagestab div.image_block').last().find('input[name=image1_caption]').attr("name", "image"+newImage+"_caption").val("");
			jQuery('#imagestab div.image_block').last().find('input[name=image1_credits]').attr("name", "image"+newImage+"_credits").val("");	
			jQuery('#imagestab div.image_block').last().find('tr').show();			
			jQuery('#imagestab div.image_block').last().find('tr.imagePreview').remove();			
			
			<?php if($app->isClient('site') && $img_limit != 0): ?>
			var img_limit = <?php echo $img_limit; ?>;
			if(newImage == img_limit) {
				jQuery("#imagestab a.addNewImage").after("<p><br /><?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_LIMIT_TEXT"); ?></p>").remove();
			}
			<?php endif; ?>	
			
			return false;
		});
		
		//images ordering
		jQuery("#sortableImages").sortable({
			placeholder: "ui-state-highlight",
			update: function() {
				var value = '';
				jQuery("#sortableImages li").each(function() {
					value += jQuery(this).attr("rel") + "|";
				});
				jQuery("input[name=imagesOrdering]").val(value);
			}
		});
		jQuery("#sortableImages").disableSelection();
		<?php if(!$app->isClient('site')) : ?>
		//multiple images select
		jQuery("input.fileUploadMultiple").on("change", function() {
			var last_image = parseInt(jQuery('#imagestab div.image_block').last().find('input.fileUpload').attr("name").slice(5));
			var newImage = last_image + 1;
			if(jQuery('#imagestab div.image_block').last().find('tr.imagePreview').length == 0 && jQuery('#imagestab div.image_block').last().find('input.fileUpload').val() == "") {
				newImage = last_image;
			}
			jQuery("input[name=image_multiple_start]").val(newImage);
		});
		<?php endif; ?>
	});
	
	// Compatibility with J2.5 file select modal
	if (typeof window.jInsertFieldValue === 'undefined') {
		window.jInsertFieldValue = function(value, id) {
			var $ = jQuery.noConflict();
			var old_value = $("#" + id).val();
			if (old_value != value) {
				var $elem = $("#" + id);
				$elem.val(value);
				$elem.trigger("change");
				if (typeof($elem.get(0).onchange) === "function") {
					$elem.get(0).onchange();
				}
				jMediaRefreshPreview(id);
			}
		}
	}
	if (typeof window.jMediaRefreshPreview === 'undefined') {
		window.jMediaRefreshPreview = function(id) {
			var $ = jQuery.noConflict();
			var value = $("#" + id).val();
			var $img = $("#" + id + "_preview");
			var basepath = $("#" + id).data("basepath");

			if ($img.length) {
				if (value) {
					$img.attr("src", basepath + value);
					$("#" + id + "_preview_empty").hide();
					$("#" + id + "_preview_img").show()
				} else {
					$img.attr("src", "");
					$("#" + id + "_preview_empty").show();
					$("#" + id + "_preview_img").hide();
				}
			}
		}
	}
	//added Images tab end
</script>

<!-- added enctype="multipart/form-data" -->
<form action="<?php echo JRoute::_('index.php?option=com_content&layout=' . $layout . $tmpl . '&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate" enctype="multipart/form-data">

	<?php echo JLayoutHelper::render('joomla.edit.title_alias', $this); ?>

	<div class="form-horizontal">
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_CONTENT_ARTICLE_CONTENT')); ?>
		<div class="row-fluid">
			<div class="span9">
				<fieldset class="adminform">
					<?php echo $this->form->getInput('articletext'); ?>
				</fieldset>
			</div>
			<div class="span3">
				<?php echo JLayoutHelper::render('joomla.edit.global', $this); ?>
			</div>
		</div>
		<?php echo JHtml::_('bootstrap.endTab'); ?>
		
		<!-- added Images tab start -->
		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'imagestab', JText::_('PLG_ARTICLEIMAGESGALLERYCK_TAB_TITLE', true)); ?>
			<div id="imagestab">
				<?php
					$images = Array();
					if($this->item->id) {
						$db = JFactory::getDBO();
						plgSystemImagesTab::createImagesTable();
						$query = "SELECT * FROM #__content_images_data WHERE article_id = {$this->item->id} ORDER BY ABS(`order`) ASC";
						$db->setQuery($query);
						$images = $db->loadObjectList();
											
						foreach($images as $k=>$image) {
							$img_path = JURI::root() . $plgParams->get("img_path", "images/articles");					
							$img_path_file = JPATH_SITE . "/" . $plgParams->get("img_path", "images/articles");	
							
							//backward compatibility
							$img_path_separate = '/article' . $this->item->id;
							if(file_exists($img_path_file . $img_path_separate . "/thumb/" . $image->filename)) {
								$img_path .= $img_path_separate;
							}
							
							//backward compatibility fix
							if(count(explode("/", $image->filename)) > 1) {
								$image->img_src_path_full = JURI::root() . $image->filename;
								$image->img_thumb_path_full = JURI::root() . str_replace("src/", "thumb/", $image->filename);
								
							}
							else {
								$image->img_thumb_path_full = $img_path . "/thumb/" . $image->filename;
								$image->img_src_path_full = $img_path . "/src/" . $image->filename;
							}
							
							//backward compatibility
							if(strpos($image->filename, '.') === false) {
								$image->img_thumb_path_full .= '.jpg';
								$image->img_src_path_full .= '.jpg';
							}
							
							//backward compatibility
							$filecount = $k+1;
							if(file_exists(JPATH_SITE . '/media/articles/src/article'.$this->item->id.'_image'.$filecount.".jpg")) {
								$image->img_thumb_path_full = JURI::root().'/media/articles/thumb/article'.$this->item->id.'_image'.$filecount.'.jpg';
								$image->img_src_path_full = JURI::root().'/media/articles/src/article'.$this->item->id.'_image'.$filecount.'.jpg';
							}
							if(file_exists(JPATH_SITE . '/' . $plgParams->get("img_path", "images/articles") . '/src/article'.$this->item->id.'_image'.$filecount.".jpg")) {
								$image->img_thumb_path_full = JURI::root() . $plgParams->get("img_path", "images/articles") . '/thumb/article'.$this->item->id.'_image'.$filecount.'.jpg';
								$image->img_src_path_full = JURI::root() . $plgParams->get("img_path", "images/articles") . '/src/article'.$this->item->id.'_image'.$filecount.'.jpg';
							}
								
							$image->img_thumb_path_full .= $timestamp;
							$image->img_src_path_full .= $timestamp;
						}
					}
				?>
				<?php if(count($images) > 1) { ?>
				<div class="imagesOrdering">
					<p style="margin-top: 20px;"><?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_ORDERING_TEXT'); ?></p>
					<ul id="sortableImages" style="padding-top: 0px; margin: 10px 0 10px 0;">
					<?php 	
					foreach($images as $k=>$image) {
						$filecount = $k+1;
					?>
					<li class="ui-state-default" rel="<?php echo $image->id; ?>">
						<img src="<?php echo $image->img_thumb_path_full; ?>" style="height: 75px; width: auto; margin-top: 0px;" />	
					</li>
					<?php 
					}
					?>
					</ul>					
					<input type="hidden" name="imagesOrdering" value="" />
				</div>
				<?php } ?>
			
				<?php 
				if($this->item->id) {
					if(count($images)) {
						foreach($images as $k=>$image) {
							$filecount = $k+1;
				?>
				<div class="image_block">
					<span class="image_title"><?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_TEXT')." ".$filecount; ?></span>
					<hr />
					<table class="imagetable">
						<tr style="display: none;">
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_SELECT_TEXT'); ?>
							</td>
							<td>
								<input type="file" name="image<?php echo $filecount; ?>" class="fileUpload btn" accept="image/gif, image/jpeg, image/png" />
								<i>(<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_UPLOAD_SIZE'); ?>: <?php echo ini_get('upload_max_filesize'); ?>)</i>
								<p></p>
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CAPTION'); ?>
							</td>
							<td>
								<input type="text" name="image<?php echo $filecount; ?>_caption" size="30" class="text_area" value="<?php echo $image->caption; ?>" />
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CREDITS'); ?>
							</td>
							<td>
								<input type="text" name="image<?php echo $filecount; ?>_credits" size="30" class="text_area" value="<?php echo $image->credits; ?>" />
							</td>
						</tr>
						<tr class="imagePreview">
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_PREVIEW'); ?>
							</td>
							<td>
								<a class="modal" rel="{handler: 'image'}" href="<?php echo $image->img_src_path_full; ?>" title="<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_PREVIEW_ORIGINAL'); ?>"><img alt="<?php echo $this->item->title; ?>" src="<?php echo $image->img_thumb_path_full; ?>" /></a>
								<br />		
								<label>
									<input type="checkbox" name="del_image<?php echo $filecount; ?>" style="margin-top: 0px !important;" />
									<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_DELETE'); ?>
								</label>
							</td>
						</tr>							
					</table>
				</div>
				<?php	
						} 
					}
				} 
				?>

				<?php if(count($images) > 1) { ?>
				<label
					style="margin: 15px 0 0 97px;"
					onClick="
						document.querySelectorAll('[name*=del_image]').forEach(e => e.checked ^= 1);
						return false;
					"
				>
					<input type="checkbox" name="del_image_all" onClick="return false;" style="margin: 0px;" />
					Check all images for deleting
				</label>
				<?php } ?>
				
				<?php if(!count($images)) { ?>
				<div class="image_block">
					<span class="image_title"><?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_TEXT')." 1"; ?></span>
					<hr />
					<table class="imagetable">
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_SELECT_TEXT'); ?>
							</td>
							<td>
								<input type="file" name="image1" class="fileUpload btn" accept="image/gif, image/jpeg, image/png" />
								<i>(<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_UPLOAD_SIZE'); ?>: <?php echo ini_get('upload_max_filesize'); ?>)</i>
								<p></p>
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CAPTION'); ?>
							</td>
							<td>
								<input type="text" name="image1_caption" size="30" class="text_area" value="" />
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CREDITS'); ?>
							</td>
							<td>
								<input type="text" name="image1_credits" size="30" class="text_area" value="" />
							</td>
						</tr>					
					</table>
				</div>
				<?php } ?>

				<?php if($img_limit > 0 && $filecount > $img_limit && $app->isClient('site')) : ?>
					<p><br /><?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_LIMIT_TEXT"); ?></p>
				<?php else: ?>					
					<a href="#" class="addNewImage" style="font-size: 14px;"><?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_ADD_NEW_IMAGE_TEXT"); ?></a>				
					<?php if(!$app->isClient('site')) : ?>
					<div class="multipleUpload" style="font-size: 12px;">
						<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_NEW_MULTIPLE'); ?> &nbsp;
						<input multiple="multiple" type="file" name="image_multiple[]" class="fileUploadMultiple" accept="image/gif, image/jpeg, image/png" />
						<input type="hidden" name="image_multiple_start" value="1" />
					</div>
					<div class="existingImageUpload">
						<br /><br />
						<a class="modal" title="Image" href="index.php?option=com_media&view=images&tmpl=component&fieldid=existingImageInput" rel="{handler: 'iframe', size: {x: 800, y: 500}}">
							Select existing image
						</a>
						&nbsp; <input readonly type="text" name="existingImage[]" id="existingImageInput" />
					</div>
					<?php endif; ?>
				<?php endif; ?>
			</div>
		<?php echo JHtml::_('bootstrap.endTab'); ?>
		<!-- added Images tab end -->

		<?php // Do not show the images and links options if the edit form is configured not to. ?>
		<?php if ($params->get('show_urls_images_backend') == 1) : ?>
			<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'images', JText::_('COM_CONTENT_FIELDSET_URLS_AND_IMAGES')); ?>
			<div class="row-fluid form-horizontal-desktop">
				<div class="span6">
					<?php echo $this->form->renderField('images'); ?>
					<?php foreach ($this->form->getGroup('images') as $field) : ?>
						<?php echo $field->renderField(); ?>
					<?php endforeach; ?>
				</div>
				<div class="span6">
					<?php foreach ($this->form->getGroup('urls') as $field) : ?>
						<?php echo $field->renderField(); ?>
					<?php endforeach; ?>
				</div>
			</div>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php endif; ?>

		<?php $this->show_options = $params->get('show_article_options', 1); ?>
		<?php echo JLayoutHelper::render('joomla.edit.params', $this); ?>

		<?php // Do not show the publishing options if the edit form is configured not to. ?>
		<?php if ($params->get('show_publishing_options', 1) == 1) : ?>
			<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'publishing', JText::_('COM_CONTENT_FIELDSET_PUBLISHING')); ?>
			<div class="row-fluid form-horizontal-desktop">
				<div class="span6">
					<?php echo JLayoutHelper::render('joomla.edit.publishingdata', $this); ?>
				</div>
				<div class="span6">
					<?php echo JLayoutHelper::render('joomla.edit.metadata', $this); ?>
				</div>
			</div>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php endif; ?>


		<?php if ( ! $isModal && $assoc) : ?>
			<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'associations', JText::_('JGLOBAL_FIELDSET_ASSOCIATIONS')); ?>
			<?php echo $this->loadTemplate('associations'); ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php elseif ($isModal && $assoc) : ?>
			<div class="hidden"><?php echo $this->loadTemplate('associations'); ?></div>
		<?php endif; ?>

		<?php if ($this->canDo->get('core.admin')) : ?>
			<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'editor', JText::_('COM_CONTENT_SLIDER_EDITOR_CONFIG')); ?>
			<?php echo $this->form->renderFieldset('editorConfig'); ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php endif; ?>

		<?php if ($this->canDo->get('core.admin')) : ?>
			<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'permissions', JText::_('COM_CONTENT_FIELDSET_RULES')); ?>
				<?php echo $this->form->getInput('rules'); ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php endif; ?>

		<?php echo JHtml::_('bootstrap.endTabSet'); ?>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="return" value="<?php echo $input->getCmd('return'); ?>" />
		<input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
