<?php
/**
 * @package     Imagestab
 *
 * @copyright   Copyright (C) 2017 Joomcar extensions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$article_id = JFactory::getApplication()->input->get('id', 0, 'int');
$images = Array();
if($article_id) {
	$db = JFactory::getDBO();
	$query = "SELECT images FROM #__content WHERE id = " . (int)$article_id;
	$db->setQuery($query);
	$article_images = $db->loadResult();
	
	// get images from the articles options
	$params = json_decode($article_images);
	$images = array();
	$order = 1;
	if (! isset($params->imagestabimages) || empty($params->imagestabimages)) {
		echo JText::_('No images uploaded for this article.');
		echo JText::_('You can upload new images in Gallery tab.');
		return '';
	}
	foreach ($params->imagestabimages as $i) {
		$image = new stdClass();
		$image->path = $i->image;
		$image->filename = $i->image;
		$image->caption = $i->caption;
		$image->credits = $i->credits;
		$image->order = $order;
		$images[] = $image;

		$order++;
	}
}

$timestamp = '?t=' . strtotime("now"); // stamp for prevent cache problems
$plugin = JPluginHelper::getPlugin('system', 'articleimagesgalleryck');
$plgParams = class_exists('JParameter') ? new JParameter($plugin->params) : new JRegistry($plugin->params);
$img_path = JURI::root() . $plgParams->get("img_path", "images/articles");
if($plgParams->get("img_path_separate")) {
	$img_path .= '/article' . $article_id;
}


?>

<!-- Article Images Gallery Start -->
<style>
	div.article_images_block_gallery .article_image { border: 3px solid #fff; }
	div.article_images_block_gallery .article_image.active { border: 3px solid #1E90FF; }
	.gallery-position label { margin: 7px; }
	
</style>
<div class="article_images_block_gallery">
	<?php if(! empty($images)) { ?>
	<?php foreach($images as $k=>$image) { 
		$image->img_src_path_full = JURI::root() . $image->path . $timestamp;
		?>
		<div style="display: inline-block;" class="article_image article_image_thumb" data-number="<?php echo ($k+1); ?>">
			<img style="height: 100px;" src="<?php echo $image->img_src_path_full; ?>" />
		</div>		
	<?php } ?>
	<div style="clear: both;"></div>
	<div class="gallery-position" style="margin-top: 20px; display: inline-block;">
		Gallery position:
		<label>Left<input type="radio" name="position" value="left" /></label>
		<label>Center<input type="radio" name="position" value="center" checked="checked" /></label>
		<label>Right<input type="radio" name="position" value="right" /></label>
	</div>
	<div class="extra-styles" style="margin: 20px 0 0 20px; display: inline-block;">
		<label>Extra styles: <input style="width: 200px;" placeholder="E.g.: margin: 20px;" type="text" name="extra_styles" /></label>
	</div>
	<div style="clear: both;"></div>
	<button style="margin-top: 20px; font-size: 14px; padding: 5px 7px;" class="submit button btn">Insert</button>
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
	<script>
		jQuery(document).ready(function($) {
			$('div.article_images_block_gallery .article_image').on("click", function() {
				$(this).toggleClass("active");
			});
			$('div.article_images_block_gallery button.submit').on("click", function() {
				var text = '{ArticleImagesGallery';
					//images
					tmp = [];
					$('div.article_images_block_gallery .article_image.active').each(function(index, value) {
						tmp[index] = $(this).data("number");
					});
					if(tmp.length > 0) {
						text += ' ' + tmp.join(",");
						//position
						if($('input[name=position]:checked').val() != 'center') {
							text += ' float: ' + $('input[name=position]:checked').val() + ';';
						}
						//extra styles
						text += ' ' + $('input[name=extra_styles]').val();
					}
				text += '}';
				
				var editor = "<?php echo $_GET['editor']; ?>";
				//parent.Joomla.editors.instances[editor].insertAtCursor(text);
				console.log(typeof(parent.tinyMCE));
				if (typeof(parent.tinyMCE) !== 'undefined') {
					parent.tinyMCE.activeEditor.execCommand('mceInsertContent', false, text);
				} else {
					parent.jInsertEditorText(text, editor);
				}
				if (window.parent.Joomla.Modal) {
					window.parent.Joomla.Modal.getCurrent().close();
				}
			});
		});
	</script>
	<?php } else { ?>
		<?php echo JText::_('No images uploaded for this article.'); ?>
		<?php echo JText::_('You can upload new images in Gallery tab.'); ?>
	<?php } ?>
</div>